org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageInitRootRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord

Direct Known Subclasses:
  MetaPageInitRootInlineRecord

    public class MetaPageInitRootRecord
    extends PageDeltaRecord

Initialize new meta page.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Field Summary

Fields
`protected long` `rootId`

### Constructor Summary

Constructors
Constructor and Description
`MetaPageInitRootRecord(int grpId, long pageId, long rootId)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `rootId()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId, toString`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### rootId

    protected long rootId

### Constructor Detail

#### MetaPageInitRootRecord

    public MetaPageInitRootRecord(int grpId,
                          long pageId,
                          long rootId)

Parameters:
  `pageId` - Meta page ID.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### rootId

    public long rootId()

Returns:
  Root ID.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017